Subject: Re: bug#6273: dired-current-directory with `t' arg returns empty string in top-level mount-point "/"
From: Eli Zaretskii <[email-masked]>
To: Alexis <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 08 Jan 2016 12:43:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Alexis <[email-masked]>
> Date: Wed, 06 Jan 2016 23:48:09 +1100
> Cc: [email-masked]
> 
> Since the documentation for `dired-current-directory' states:
> 
> "Optional argument means return a file name relative to
> `default-directory'"
> 
> and there is no file name to return in the case that
> `dired-current-directory' and `default-directory' are the same,
> an empty string seems to be a reasonable return value here.

Actually, the value returned by dired-current-directory is always an
empty string of default-directory is the same one as the directory
where the file on the current line lives.  IOW, the issue is not
limited to "/" as the current directory of the Dired buffer.

I think this is just something that needs to be clarified in the doc
string, so I just pushed such a change, and I'm marking this bug done.

Thanks for looking into it.